Name:           lxde-common
Version:        0.5.5
Release:        b2
Summary:        Default configuration files for LXDE

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
Requires:       lxsession lxpanel pcmanfm openbox xdg-utils
Requires:       lxmenu-data lxde-settings-daemon
# Use vendor's artwork
#Requires:       system-logos
#%if 0%{?fedora} < 9
#Requires:       desktop-backgrounds-basic
#%else
#Requires:       desktop-backgrounds-compat
# needed for new gdm fix
#Requires:       xorg-x11-utils
#%endif
Obsoletes:      %{name}-data <= 0.3.2.1-5
# needed because the lxde-common and lxde-common-data
# required each other with full n-v-r on F-11
Provides:       %{name} = 0.3.2.1-4.fc11
Provides:       %{name}-data = 0.3.2.1-4.fc11
BuildArch:      noarch

%description
This package contains the configuration files for LXDE, the Lightweight X11
Desktop Environment.


%package icon
Summary:        Default icon theme for LXDE
Group:          User Interface/Desktops
License:        LGPLv3
URL:            http://nuovext.pwsp.net/
Provides:       lxde-icon-theme hicolor-icon-theme
Provides:       nuoveXT2-icon-theme = 2.2

%description icon
nuoveXT2 is a very complete set of icons for several operating systems. It is
also the default icon-theme of LXDE, the Lightweight X11 Desktop Environment.


%prep
%setup -q
# Distro specific patches
patch -p0 -b < berry/berry.patch

#patch -p1 -b < berry/lxde-common-0.3.2.1-pcmanfm-config.patch
patch -p1 -b < berry/lxde-common-0.4-lxpanel-config.patch
patch -p1 -b < berry/lxde-common-0.5.5-openbox-menu.patch
#patch -p1 -b < berry/lxde-common-0.3.2.1-logout-banner.patch
#patch -p2 -b < berry/lxde-common-0.5.0-fix-session-startup.patch
#patch -p1 -b < berry/lxde-common-0.5.1-Launch-dbus-in-startlxde-when-needed.patch
#patch -p1 -b < berry/lxde-common-0.5.1-start-xscreensaver-after-lxpanel-and-pcmanfm.patch
#patch -p1 -b < berry/lxde-common-0.5.1-Ensure-the-existance-of-the-Desktop-folder.patch
#patch -p1 -b < berry/lxde-common-0.5.1-switch-from-pcmanfm-to-pcmanfm2.patch
#patch -p1 -b < berry/lxde-common-0.5.1-Properly-set-XDG_MENU_PREFIX.patch
#patch -p1 -b < berry/lxde-common-0.5.1-Fix-config-file-of-pcmanfm2.patch
patch -p1 -b < berry/lxde-common-0.5.1-pulseaudio.patch

autoreconf -fi


%build
%configure


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
desktop-file-install                                           \
      --dir=%{buildroot}%{_datadir}/applications               \
      lxde-logout.desktop
desktop-file-install                                           \
      --dir=%{buildroot}%{_datadir}/applications               \
      berry/lxde-lock-screen.desktop
# cannot use desktop-file-utils because it is out of date
install -pm 0644 berry/lxde-desktop-preferences.desktop %{buildroot}%{_datadir}/applications/

# the icon theme is packaged in a different package
#rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/
rm -rf $RPM_BUILD_ROOT%{_datadir}/lxde/wallpapers/
mkdir $RPM_BUILD_ROOT%{_datadir}/wallpapers/
cp -a berry-bg/berry-bg-1.14.jpg $RPM_BUILD_ROOT%{_datadir}/wallpapers/berry.jpg

# install the icon theme
cd icon-theme
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
touch $RPM_BUILD_ROOT%{_datadir}/icons/nuoveXT2/icon-theme.cache

#mkdir -p %{buildroot}/etc/xdg/pcmanfm/lxde/
#mv %{buildroot}/etc/xdg/pcmanfm/lxde.conf %{buildroot}/etc/xdg/pcmanfm/lxde/pcmanfm.conf

%clean
rm -rf $RPM_BUILD_ROOT


%post icon
touch --no-create %{_datadir}/icons/nuoveXT2 &>/dev/null || :

%postun icon
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/nuoveXT2 &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/nuoveXT2 &>/dev/null || :
fi

%posttrans icon
gtk-update-icon-cache %{_datadir}/icons/nuoveXT2 &>/dev/null || :


%files
%defattr(-,root,root,-)
#%doc AUTHORS COPYING
%dir %{_sysconfdir}/xdg/lxsession/LXDE/
%config(noreplace) %{_sysconfdir}/xdg/lxsession/LXDE/autostart
%config(noreplace) %{_sysconfdir}/xdg/lxsession/LXDE/desktop.conf
%dir %{_sysconfdir}/xdg/pcmanfm/
#%config(noreplace) %{_sysconfdir}/xdg/pcmanfm/lxde.conf
%config(noreplace) %{_sysconfdir}/xdg/pcmanfm/LXDE/pcmanfm.conf
%{_bindir}/startlxde
%{_bindir}/lxde-logout
%{_bindir}/openbox-lxde
%{_datadir}/lxde/
%{_datadir}/lxpanel/profile/LXDE/
#%{_mandir}/man1/*.1.gz
%{_datadir}/xsessions/LXDE.desktop
%{_datadir}/applications/lxde-*.desktop
%{_datadir}/wallpapers/*

%files icon
%defattr(-,root,root,-)
#%doc icon-theme/AUTHORS icon-theme/COPYING
%dir %{_datadir}/icons/nuoveXT2/
%{_datadir}/icons/nuoveXT2/*/*
%{_datadir}/icons/nuoveXT2/index.theme
%ghost %{_datadir}/icons/nuoveXT2/icon-theme.cache


%changelog
* Wed Aug 18 2010 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 0.5.4
* Thu May 6 2010 Yuichiro Nakada <berry@rberry.co.cc>
- Create for Berry Linux
